const express = require('express');
const router  = express.Router();
const {nanoid} = require('fix-esm').require('nanoid');

const createRoutes = (db) => {
    router.get('/', (req, res) => {
        res.send(db.getItems());
    });

    router.get('/:id', (req, res) => {
        const item = db.getItem(req.params.id);

        if (item) res.send(item);
        res.sendStatus(404);
    });

    router.post('/', (req, res) => {
        const item = {...req.body, id: nanoid()};
        console.log(item);
        db.addItem(item);
        res.send(item);
    });

    return router;
};

module.exports = createRoutes;
